TPMLIB_SetDebugFD(3)

NAME
TPMLIB_SetDebugFD - Set the file descriptor to send the debug output to

TPMLIB_SetDebugLevel - Set the debugging level

TPMLIB_SetDebugPrefix - Set the prefix for each debugging line

LIBRARY
TPM library (libtpms, -ltpms)

SYNOPSIS
#include <libtpms/tpm_library.h>

uint32_t TPMLIB_SetDebugFD(int fd);

uint32_t TPMLIB_SetDebugLevel(unsigned int level);

uint32_t TPMLIB_SetDebugPrefix(const char *prefix);

DESCRIPTION
TPMLIB_SetDebugFD() allows to set the file descriptor to send the debug output to.

TPMLIB_SetDebugLevel() allows to set the debug level. Only debug levels greater than 1 will produce output. The indentation level of a line will determine whether it is printed. Lines with 0 indentation will be printed at debug level 1, 1 space of indentation at debug level 2 and so on.

TPMLIB_SetDebugPrefix() allows to set a prefix that is to be printed in front of every line of debugging output. The prefix can be used for further indentation.